Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class VariableTracking

    java.lang.Object
      com.bea.wli.management.configuration.VariableTracking

All Implemented Interfaces:
  Serializable

    public class VariableTracking

extends Object
implements Serializable

This class represents the variable process tracking policy.

See Also:
  Serialized Form

Field Summary
`static VariableTracking` | `DEFAULT` Use a global default when determining if variables in a WF need to be tracked.
`static List` | `VALUES` List of all VariableTracking enumerated types.
`static VariableTracking` | `VARIABLE_TRACKING_OFF` Disable tracking of variable data for a process type
`static VariableTracking` | `VARIABLE_TRACKING_ON` Enable tracking of variable data for a process type

Method Summary
`int` | `intValue()` Returns an integer representation for this VariableTracking
`String` | `toString()` Returns string representation of this VariableTracking
`static VariableTracking` | `toVariableTracking(int val)` Returns the VariableTracking object whose integer representation is the given integer value.
`static VariableTracking` | `toVariableTracking(String s)` Returns the VariableTracking object whose String representation is the given String value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VARIABLE_TRACKING_ON

    public static final VariableTracking VARIABLE_TRACKING_ON

  Enable tracking of variable data for a process type

### VARIABLE_TRACKING_OFF

    public static final VariableTracking VARIABLE_TRACKING_OFF

  Disable tracking of variable data for a process type

### DEFAULT

    public static final VariableTracking DEFAULT

  Use a global default when determining if variables in a WF need to be tracked.

### VALUES

    public static final List VALUES

  List of all VariableTracking enumerated types.

Method Detail

### toString

    public String toString()

  Returns string representation of this VariableTracking

  Overrides:
    `toString` in class `Object`

### intValue

    public int intValue()

  Returns an integer representation for this VariableTracking

  See Also:
    `toVariableTracking(int)`

### toVariableTracking

    public static VariableTracking toVariableTracking(int val)

  Returns the VariableTracking object whose integer representation is the given integer value.

  Throws:
    `IllegalArgumentException` - if the integer value does not represent a valid VariableTracking object.

### toVariableTracking

    public static VariableTracking toVariableTracking(String s)

  Returns the VariableTracking object whose String representation is the given String value.

  Throws:
    `IllegalArgumentException` - if the String value does not represent a valid VariableTracking object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD